Vulnerabilities > Opencv

DATE CVE VULNERABILITY TITLE RISK
2020-01-03 CVE-2019-5064 Classic Buffer Overflow vulnerability in Opencv
An exploitable heap buffer overflow vulnerability exists in the data structure persistence functionality of OpenCV, before version 4.2.0.
network
opencv CWE-120
6.8
2020-01-03 CVE-2019-5063 Classic Buffer Overflow vulnerability in Opencv 4.1.0
An exploitable heap buffer overflow vulnerability exists in the data structure persistence functionality of OpenCV 4.1.0.
network
opencv CWE-120
6.8
2019-12-06 CVE-2019-19624 Out-Of-Bounds Read vulnerability in multiple products
An out-of-bounds read was discovered in OpenCV before 4.1.1.
network
low complexity
opencv redhat CWE-125
6.4
2019-09-11 CVE-2019-16249 Out-Of-Bounds Read vulnerability in Opencv 4.1.1
OpenCV 4.1.1 has an out-of-bounds read in hal_baseline::v_load in core/hal/intrin_sse.hpp when called from computeSSDMeanNorm in modules/video/src/dis_flow.cpp.
network
low complexity
opencv CWE-125
5.0
2019-09-05 CVE-2019-15939 Divide BY Zero vulnerability in multiple products
An issue was discovered in OpenCV 4.1.0.
4.3
2019-08-01 CVE-2019-14493 Null Pointer Dereference vulnerability in Opencv
An issue was discovered in OpenCV before 4.1.1.
network
low complexity
opencv CWE-476
5.0
2019-08-01 CVE-2019-14492 Out-Of-Bounds Read vulnerability in multiple products
An issue was discovered in OpenCV before 3.4.7 and 4.x before 4.1.1.
network
low complexity
opencv opensuse CWE-125
5.0
2019-08-01 CVE-2019-14491 Out-Of-Bounds Read vulnerability in Opencv
An issue was discovered in OpenCV before 3.4.7 and 4.x before 4.1.1.
network
low complexity
opencv CWE-125
6.4
2018-03-05 CVE-2018-7714 Reachable Assertion vulnerability in Opencv 3.4.1
** DISPUTED ** The validateInputImageSize function in modules/imgcodecs/src/loadsave.cpp in OpenCV 3.4.1 allows remote attackers to cause a denial of service (assertion failure) because (pixels <= (1<<30)) may be false.
network
low complexity
opencv CWE-617
5.0
2018-03-05 CVE-2018-7713 Reachable Assertion vulnerability in Opencv 3.4.1
** DISPUTED ** The validateInputImageSize function in modules/imgcodecs/src/loadsave.cpp in OpenCV 3.4.1 allows remote attackers to cause a denial of service (assertion failure) because (size.width <= (1<<20)) may be false.
network
low complexity
opencv CWE-617
5.0